library IEEE;
use IEEE.std_logic_1164.all;

entity multiplexerFourToOne is
	port(
		s: in std_logic_vector(1 downto 0);
		a: in std_logic_vector(31 downto 0);
		b: in std_logic_vector(31 downto 0);
		c: in std_logic_vector(31 downto 0);
		d: in std_logic_vector(31 downto 0);
		o: out std_logic_vector(31 downto 0)
	);
end multiplexerFourToOne;

architecture structure of multiplexerFourToOne is

begin	
	with s select o <=
	a when "00",
	b when "01",
	c when "10",
	d when "11",
	x"00000000" when others;
end structure;