library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.numeric_std.all;

entity shiftBy2 is
	port( i_to_shift : in std_logic_vector(25 downto 0);
		i_to_add : in std_logic_vector(3 downto 0);
		o_combined : out std_logic_vector(31 downto 0));
 end shiftBy2;
 
 architecture mixed of shiftBy2 is
 signal o_shifted : std_logic_vector(27 downto 0);
 begin

	o_shifted(27 downto 2) <= i_to_shift(25 downto 0);
	o_shifted(1 downto 0) <= "00";
	o_combined(27 downto 0) <= o_shifted(27 downto 0);
	o_combined(31 downto 28) <= i_to_add(3 downto 0);

end mixed;